<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Style</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Style";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.style</a></div>
<h2 title="Class Style" class="title">Class Style</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.david.geo.style.Style</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Style</span>
extends java.lang.Object</pre>
<div class="block">This class store parameters to indicate the stroke color, the stroke width
 and the fill color of a <code>Primitive</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Style</a></span>()</code></th>
<td class="colLast">
<div class="block">default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.style.CustomColor,org.david.geo.style.CustomColor,float)">Style</a></span>&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;s,
     <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;f,
     float&nbsp;stw)</code></th>
<td class="colLast">
<div class="block">create a new Style.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFill()">getFill</a></span>()</code></th>
<td class="colLast">
<div class="block">get the fill CustomColor.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStroke()">getStroke</a></span>()</code></th>
<td class="colLast">
<div class="block">get the stroke CustomColor.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStrokeWidth()">getStrokeWidth</a></span>()</code></th>
<td class="colLast">
<div class="block">get the stroke width.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isFillEmpty()">isFillEmpty</a></span>()</code></th>
<td class="colLast">
<div class="block">check if the fill CustomColor is empty.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isStrokeEmpty()">isStrokeEmpty</a></span>()</code></th>
<td class="colLast">
<div class="block">check if the style is empty.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isStrokeWidthDefault()">isStrokeWidthDefault</a></span>()</code></th>
<td class="colLast">
<div class="block">stroke is empty ?</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFill(org.david.geo.style.CustomColor)">setFill</a></span>&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;f)</code></th>
<td class="colLast">
<div class="block">set the fill CustomColor.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStroke(org.david.geo.style.CustomColor)">setStroke</a></span>&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;s)</code></th>
<td class="colLast">
<div class="block">get the stroke CustomColor.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStrokeWidth(float)">setStrokeWidth</a></span>&#8203;(float&nbsp;stw)</code></th>
<td class="colLast">
<div class="block">set the stroke width.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Style</h4>
<pre>public&nbsp;Style()</pre>
<div class="block">default constructor.</div>
</li>
</ul>
<a id="&lt;init&gt;(org.david.geo.style.CustomColor,org.david.geo.style.CustomColor,float)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Style</h4>
<pre>public&nbsp;Style&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;s,
             <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;f,
             float&nbsp;stw)</pre>
<div class="block">create a new Style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - stroke CustomColor</dd>
<dd><code>f</code> - fill CustomColor</dd>
<dd><code>stw</code> - stroke width</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isStrokeEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStrokeEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isStrokeEmpty()</pre>
<div class="block">check if the style is empty.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="isFillEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFillEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isFillEmpty()</pre>
<div class="block">check if the fill CustomColor is empty.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true or false</dd>
</dl>
</li>
</ul>
<a id="isStrokeWidthDefault()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStrokeWidthDefault</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isStrokeWidthDefault()</pre>
<div class="block">stroke is empty ?</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true or false</dd>
</dl>
</li>
</ul>
<a id="getStroke()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStroke</h4>
<pre class="methodSignature">public&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;getStroke()</pre>
<div class="block">get the stroke CustomColor.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>stroke CustomColor</dd>
</dl>
</li>
</ul>
<a id="setStroke(org.david.geo.style.CustomColor)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStroke</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStroke&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;s)</pre>
<div class="block">get the stroke CustomColor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - stroke CustomColor</dd>
</dl>
</li>
</ul>
<a id="getFill()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFill</h4>
<pre class="methodSignature">public&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;getFill()</pre>
<div class="block">get the fill CustomColor.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fill CustomColor</dd>
</dl>
</li>
</ul>
<a id="setFill(org.david.geo.style.CustomColor)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFill</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFill&#8203;(<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;f)</pre>
<div class="block">set the fill CustomColor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - fill CustomColor</dd>
</dl>
</li>
</ul>
<a id="getStrokeWidth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStrokeWidth</h4>
<pre class="methodSignature">public&nbsp;float&nbsp;getStrokeWidth()</pre>
<div class="block">get the stroke width.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>stroke width</dd>
</dl>
</li>
</ul>
<a id="setStrokeWidth(float)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setStrokeWidth</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStrokeWidth&#8203;(float&nbsp;stw)</pre>
<div class="block">set the stroke width.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stw</code> - stroke width</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
